// Bernard Lidicky - 2005 - GPL - project Pexeso
package cz.nipax.hippo.pexeso;

import java.awt.Point;

/**
 * Implementation of "classic" inteligence. In fact it is same as 
 * forgetting, but doesn't use the function with forgetting :-)
 */

public class AI_enhanced extends AI_normal {
		
	public AI_enhanced(Playground pg){
		super(pg);
	}

	
	/**
	 * Get name of AI
	 * @return string with name
	 */
	public String getname(){
		return "Enhanced AI";
	}
	
	/**
	 * Creates one random move, but only on card, that
	 * hasn't been revealed yet.
	 */
	protected void random_move() {

		while (!m_killed && !m_pg.isEnd())  {
			int x = (int)(Math.random() * (double)m_x);
			int y = (int)(Math.random() * (double)m_y);
			
			if (m_field[x][y].valid == false || m_field[x][y].id != -1) continue;
			
			if (m_pg.wantturn(this, x, y)) break;
		}
	}
	
}	
