// Bernard Lidicky - 2005 - GPL - project Pexeso
package cz.nipax.hippo.pexeso;

/**
 * Makes possible for human to play. Simply takes user input
 * and pretends it is turn from AI.
 */
public class AI_human  extends AI {
	
	/**
	 * Simple contructor
	 */
	public AI_human(Playground pg){
		super(pg);
	}

	/**
	 * Get name of AI.
	 * @return string with name
	 */

	public String getname(){
		return "Human";
	}
		
	/**
	 * Passes user input to {@link Playground}. Simply
	 * pretends that AI computed move.
	 * @param x x coordinate of click
	 * @param y y coortinate of click
	 */
	public void userinput(int x, int y) {
		m_pg.wantturn(this, x, y);
	}
}
