// Bernard Lidicky - 2005 - GPL - project Pexeso
package cz.nipax.hippo.pexeso;

import java.awt.Point;

/**
 * Inteligence without any handicap. And in second turn with random
 * tryes to reveal allready known piece to not provide any profit to
 * opponent. Well in fact this is most advanced AI but the result isn't
 * very good :-)
 */

public class AI_snc extends AI_enhanced {
		
	/**
	 * Simple constructor
	 */
	public AI_snc(Playground pg){
		super(pg);
	}

	
	/**
	 * Get name of AI
	 * @return string with name
	 */
	public String getname(){
		return "Sill not cheating :-) AI";
	}
	
	/**
	 * Creates one random move, but only on card, that
	 * hasn't been revealed yet.
	 */
	protected void second_random_move() {

		int i = 0; // this is for move when we don;t know any cards
		while (!m_killed && !m_pg.isEnd())  {
			int x = (int)(Math.random() * (double)m_x);
			int y = (int)(Math.random() * (double)m_y);
		
			println(".");
			
			if ( ++i < 5) 
				if (m_field[x][y].valid == false || m_field[x][y].id == -1) continue;
			else
				if (m_field[x][y].valid == false) continue;
			
			if (m_pg.wantturn(this, x, y)) break;
		}
	}
}
	
