// Bernard Lidicky - 2005 - GPL - project Pexeso
package cz.nipax.hippo.pexeso;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * The About dialog. It is cerated as modal dialog
 * with some info about project. The dialog has some problem in Kaffe
 * because Kaffe isn't able to hadle html in dialog controls.
 * The dialog should be probably upgraded somehow.
 */
public class AboutDlg {

	/**
	 * The About dialog.
	 */
	JDialog dialog;
	

	/**
	 * Simple constructor.
	 */
	public AboutDlg() {
	}
	
	/**
	 * Creates new dialog.
	 * @param frame parent frame for dialog
	 */
	public void createGUI(JFrame frame) {
		
		JLabel label;
		// Works with Kaffe, doesn't with Sun
		if (Main.OLD_CP)
			label = new JLabel("Pexeso"
				 + "Is a really cool game :-) Your task is to\n"
				 + "collect pictures. You need to find two same\n"
				 + "\nCreated by Bernard Lidicky - bernard@matfyz.cz"
				 + "\nGraphic by Jose Hevia - openclipart.org"
				 + "\n GPL - 2005");

		// Works with Sun, doesn't with Kaffe
		else  label = new JLabel("<html> Pexeso<br>" +
				 "Is a really cool game :-) Your task is to <br>" +
				 "collect pictures. You need to find two same <br>" +
				 "Created by Bernard Lidicky - bernard@matfyz.cz <br>" +
				 "Graphic by Jose Hevia - openclipart.org <br>" +
				 " GPL - 2005 </html>");
		
		label.setHorizontalAlignment(JLabel.CENTER);
		label.setVerticalAlignment(JLabel.TOP);

		JButton closeButton = new JButton("Close");
		closeButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dialog.setVisible(false);
				dialog.dispose();
				dialog = null;
			}
		});

		JPanel contentPane = new JPanel(new BorderLayout());
		contentPane.add(label, BorderLayout.CENTER);
		contentPane.add(closeButton, BorderLayout.PAGE_END);
		contentPane.setOpaque(true);
		
		
		dialog = new JDialog(frame, "About Pexeso", true);
		dialog.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		dialog.setContentPane(contentPane);
		dialog.setLocationRelativeTo(frame);
		dialog.pack();
		dialog.setVisible(true);
	}
	
}
